<script setup lang="ts">

import { useCheckInOutStore } from '@/stores/checkInOut'
const checkInOutStore = useCheckInOutStore()

function formatTime(time: any) {
  if (time) {
    return new Date(time).toLocaleTimeString('th-TH', { hour12: false })
  } else {
    return 'null'
  }
}
function formatDate(date: any) {
  return new Date(date).toLocaleDateString('th-TH')
}

</script>

<template>
  <v-table>
    <thead>
      <tr>
        <th>Id</th>
        <th>วันที่</th>
        <th>เวลาเข้า</th>
        <th>เวลาออก</th>
        <th>สถานะ</th>
        <th>ชั่วโมงรวม</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item in checkInOutStore.checkInOuts" :key="item.id">
        <td>{{ item.id }}</td>
        <td>{{item.date}}</td>
        <td>{{ formatDate(item.date) }}</td>
        <td>{{ formatTime(item.timeIn) }}</td>
        <td>{{ formatTime(item.timeOut) }}</td>
      </tr>
    </tbody>
  </v-table>
</template>

<style scoped></style>
